Loading...
Searching...
No Matches
casacore::TableExprInfo Class Reference
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

Class to connect a Table and its alias name. More...

`#include <ExprNodeRep.h>`

## Public Member Functions

| TableExprInfo (const Table &table=Table(), const String &alias=String(), Bool isJoinTable=False)
| Construct from a table and its alias.
const Table & | table () const
| Get the Table object.
const String & | alias () const
| Get the alias.
Bool | isJoinTable () const
| Is the table a join table?
void | apply (const Vector< rownr_t > &rownrs)
| Apply a selection of row numbers to the Table.

## Private Attributes

Table | itsTable
String | itsAlias
Bool | itsIsJoinTable

## Detailed Description

Class to connect a Table and its alias name.

### Intended use:

Internal

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Synopsis

This class connects a Table object to its alias name used in a TaQL command. If no alias is given, the table name is used as such. It also tells if the Table is used as a join table.

Definition at line 124 of file ExprNodeRep.h.

## Constructor & Destructor Documentation

## TableExprInfo()

casacore::TableExprInfo::TableExprInfo | ( | const Table & | table = Table(),
|  | const String & | alias = String(),
|  | Bool | isJoinTable = False )

explicit

Construct from a table and its alias.

References alias(), casacore::False, isJoinTable(), and table().

## Member Function Documentation

## alias()

const String & casacore::TableExprInfo::alias | ( |  | ) | const

inline

Get the alias.

Definition at line 137 of file ExprNodeRep.h.

References itsAlias.

Referenced by TableExprInfo().

## apply()

void casacore::TableExprInfo::apply | ( | const Vector< rownr_t > & | rownrs | ) |

Apply a selection of row numbers to the Table.

## isJoinTable()

Bool casacore::TableExprInfo::isJoinTable | ( |  | ) | const

inline

Is the table a join table?

Definition at line 141 of file ExprNodeRep.h.

References itsIsJoinTable.

Referenced by TableExprInfo().

## table()

const Table & casacore::TableExprInfo::table | ( |  | ) | const

inline

Get the Table object.

Definition at line 133 of file ExprNodeRep.h.

References itsTable.

Referenced by casacore::TableExprNode::table(), and TableExprInfo().

## Member Data Documentation

## itsAlias

String casacore::TableExprInfo::itsAlias

private

Definition at line 149 of file ExprNodeRep.h.

Referenced by alias().

## itsIsJoinTable

Bool casacore::TableExprInfo::itsIsJoinTable

private

Definition at line 150 of file ExprNodeRep.h.

Referenced by isJoinTable().

## itsTable

Table casacore::TableExprInfo::itsTable

private

Definition at line 148 of file ExprNodeRep.h.

Referenced by table().

The documentation for this class was generated from the following file:

- tables/TaQL/ExprNodeRep.h